[arch-commits] Commit in python-qtpy/repos/community-any (PKGBUILD PKGBUILD)

Fabio Castelli muflone at archlinux.org
Fri Apr 26 11:50:22 UTC 2019


    Date: Friday, April 26, 2019 @ 11:50:20
  Author: muflone
Revision: 454216

archrelease: copy trunk to community-any

Added:
  python-qtpy/repos/community-any/PKGBUILD
    (from rev 454215, python-qtpy/trunk/PKGBUILD)
Deleted:
  python-qtpy/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  110 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 55 insertions(+), 55 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-04-26 11:49:53 UTC (rev 454215)
+++ PKGBUILD	2019-04-26 11:50:20 UTC (rev 454216)
@@ -1,55 +0,0 @@
-# Maintainer: Muflone http://www.muflone.com/contacts/english/
-
-pkgbase='python-qtpy'
-_pkgbase='qtpy'
-pkgname=('python-qtpy' 'python2-qtpy')
-pkgver=1.6.0
-pkgrel=1
-pkgdesc='Provides an uniform layer to support PyQt5, PyQt4 and PySide with a single codebase'
-makedepends=('python' 'python-setuptools'
-             'python2' 'python2-setuptools')
-arch=('any')
-url="https://github.com/spyder-ide/${_pkgbase}/"
-license=('MIT')
-source=("${pkgbase}-${pkgver}.tar.gz"::"https://github.com/spyder-ide/${_pkgbase}/archive/v${pkgver}.tar.gz")
-sha256sums=('cd4cb9667059654e20d607dff897d69ba0f722b6b8c6fdf26947a60b4f2a977b')
-
-prepare() {
-  # Prepare sources for Python 2.x
-  cp -r "${_pkgbase}-${pkgver}" "python2-${_pkgbase}-${pkgver}"
-  # Fix Python 2.x shebang
-  cd "python2-${_pkgbase}-${pkgver}"
-  sed -i 's@^#!.*python$@#!/usr/bin/env python2@' "${_pkgbase}/tests/runtests.py"
-}
-
-build() {
-  cd "${_pkgbase}-${pkgver}"
-  python2 setup.py build
-
-  cd "${srcdir}/python2-${_pkgbase}-${pkgver}"
-  python setup.py build
-}
-
-package_python2-qtpy() {
-  depends=('python2')
-  optdepends=('python2-pyqt5: Qt5 Python bindings'
-              'python2-pyqtwebengine: Qt5-WebEngine python bindings'
-              'python2-pyside2: PySide Qt5 Python bindings')
-
-  cd "${pkgname}-${pkgver}"
-  python2 setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1
-  # Install license file
-  install -D -m644 "LICENSE.txt" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}
-
-package_python-qtpy() {
-  depends=('python')
-  optdepends=('python-pyqt5: Qt5 Python bindings'
-              'python-pyqtwebengine: Qt5-WebEngine python bindings'
-              'python-pyside2: PySide Qt5 Python bindings')
-
-  cd "${_pkgbase}-${pkgver}"
-  python3 setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1
-  # Install license file
-  install -D -m644 "LICENSE.txt" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}

Copied: python-qtpy/repos/community-any/PKGBUILD (from rev 454215, python-qtpy/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-04-26 11:50:20 UTC (rev 454216)
@@ -0,0 +1,55 @@
+# Maintainer: Muflone http://www.muflone.com/contacts/english/
+
+pkgbase='python-qtpy'
+_pkgbase='qtpy'
+pkgname=('python-qtpy' 'python2-qtpy')
+pkgver=1.7.0
+pkgrel=1
+pkgdesc='Provides an uniform layer to support PyQt5, PyQt4 and PySide with a single codebase'
+makedepends=('python' 'python-setuptools'
+             'python2' 'python2-setuptools')
+arch=('any')
+url="https://github.com/spyder-ide/${_pkgbase}/"
+license=('MIT')
+source=("${pkgbase}-${pkgver}.tar.gz"::"https://github.com/spyder-ide/${_pkgbase}/archive/v${pkgver}.tar.gz")
+sha256sums=('2998cb5a2148ecfbb9d9ecba7acaefe701808655a38ad644e942f159a6bcfb79')
+
+prepare() {
+  # Prepare sources for Python 2.x
+  cp -r "${_pkgbase}-${pkgver}" "python2-${_pkgbase}-${pkgver}"
+  # Fix Python 2.x shebang
+  cd "python2-${_pkgbase}-${pkgver}"
+  sed -i 's@^#!.*python$@#!/usr/bin/env python2@' "${_pkgbase}/tests/runtests.py"
+}
+
+build() {
+  cd "${_pkgbase}-${pkgver}"
+  python2 setup.py build
+
+  cd "${srcdir}/python2-${_pkgbase}-${pkgver}"
+  python setup.py build
+}
+
+package_python2-qtpy() {
+  depends=('python2')
+  optdepends=('python2-pyqt5: Qt5 Python bindings'
+              'python2-pyqtwebengine: Qt5-WebEngine python bindings'
+              'python2-pyside2: PySide Qt5 Python bindings')
+
+  cd "${pkgname}-${pkgver}"
+  python2 setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1
+  # Install license file
+  install -D -m644 "LICENSE.txt" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
+
+package_python-qtpy() {
+  depends=('python')
+  optdepends=('python-pyqt5: Qt5 Python bindings'
+              'python-pyqtwebengine: Qt5-WebEngine python bindings'
+              'python-pyside2: PySide Qt5 Python bindings')
+
+  cd "${_pkgbase}-${pkgver}"
+  python3 setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1
+  # Install license file
+  install -D -m644 "LICENSE.txt" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}


More information about the arch-commits mailing list